## meep-lam4 1.1.1

=== debian/changelog ===
meep-lam4 (1.1.1-10) unstable; urgency=low

  * debian/rules: mv /usr/include/meep-lam4 to /usr/include/meep
                  (Closes: #711767)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jun 2013 11:00:00 +0200

meep-lam4 (1.1.1-9) unstable; urgency=low

  * debian/control: add more Conflicts: (Closes: #677460)
  * debian/control: fix typo in lam-runtime dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jun 2012 20:00:00 +0200

meep-lam4 (1.1.1-8) unstable; urgency=low

  * this package is a spin-off of meep-openmpi (1.1.1-8)
    As requested by users this package is linked against lam4
    instead of openmpi
  * debian/control: depend on debhelper >=9
  * debian/control: standards version changed to 3.9.3 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Jun 2012 18:00:00 +0200
