=== debian/control ===
Source: meep-lam4
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran, debhelper (>= 9), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-dev, libgsl0-dev, liblapack-dev, lam4-dev, libatlas-base-dev, chrpath, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
DM-Upload-Allowed: yes

Package: meep-lam4
Architecture: any
Depends: ${shlibs:Depends}, lam-runtime, ${misc:Depends}
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the LAM4 version of the software.

Package: libmeep-lam4-6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the LAM4 version of the library.

Package: libmeep-lam4-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-mpich2-dev
Depends: libmeep-lam4-6 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains some files for developing software linked to LAM4.
