=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package = meep-lam4
soname = 6
lm = lib$(package)-$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-lam4

configure-stamp-lam4: 
	dh_testdir
	mkdir -p debian/build-lam4
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-lam4'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-lam4'/g" > configure-lam4
	chmod 755 configure-lam4
	cd debian/build-lam4 && \
	F77=gfortran ../../configure-lam4 $(CONFIGURE_FLAGS) 
	rm -f configure-lam4
	touch configure-stamp-lam4

build: build-arch build-indep
build-arch: build-stamp-lam4
build-indep: build-stamp-lam4

build-stamp-lam4: configure-stamp-lam4 
	dh_testdir
	$(MAKE) -C debian/build-lam4/
	touch build-stamp-lam4

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-lam4
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-lam4
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-lam4: build-stamp-lam4
	dh_testdir
	dh_testroot
	mkdir -p debian/build-lam4/tmpinst
	$(MAKE) -C debian/build-lam4/ install prefix=$(CURDIR)/debian/build-lam4/tmpinst/usr
	/usr/bin/chrpath -d debian/build-lam4/tmpinst/usr/lib/libmeep_lam4.so
	/usr/bin/chrpath -d debian/build-lam4/tmpinst/usr/bin/meep-lam4
	mv debian/build-lam4/tmpinst/usr/include/meep-lam4 debian/build-lam4/tmpinst/usr/include/meep
	dh_install -pmeep-lam4 -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-lam4/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-lam4 debian/meep-lam4.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-lam4
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-lam4 -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-lam4
