=== debian/watch ===
version=3
http://ab-initio.mit.edu/wiki/index.php/Meep_download http://ab-initio.mit.edu/meep/meep-(.*)\.tar\.gz
