## meep-lam4 1.2.1

=== debian/changelog ===
meep-lam4 (1.2.1-3build1) vivid; urgency=medium

  * Rebuild against libhdf5-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2014 14:23:14 +0000

meep-lam4 (1.2.1-3) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756680)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 14:00:00 +0200

meep-lam4 (1.2.1-2) unstable; urgency=medium

  * debian/control: add conflict with old meep lib (Closes: #748661)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 May 2014 19:00:00 +0200

meep-lam4 (1.2.1-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now (Closes: #747767)
  * debian/control: remove DM-Upload-Allowed:
  * debian/rules: use debhelper
  * debian/rules: use --with autoreconf (Closes: #744461)
  * debian/copyright: adapt years

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 May 2014 11:20:00 +0200
