=== debian/control ===
--- 
+++ 
@@ -2,10 +2,24 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 9), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-dev, libgsl0-dev, liblapack-dev, lam4-dev, libatlas-base-dev, chrpath, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.2.2-2), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, 
+  libfftw3-dev, 
+  libhdf5-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  lam4-dev, 
+  libatlas-base-dev, 
+  chrpath, 
+  dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
-DM-Upload-Allowed: yes
 
 Package: meep-lam4
 Architecture: any
@@ -35,10 +49,11 @@
  .
  This package contains the LAM4 version of the software.
 
-Package: libmeep-lam4-6
+Package: libmeep-lam4-7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmeep-lam4-6
 Description: library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -68,7 +83,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-mpich2-dev
-Depends: libmeep-lam4-6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-lam4-7 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
