## meep-lam4 1.3

=== debian/changelog ===
meep-lam4 (1.3-2build2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:24 +0000

meep-lam4 (1.3-2build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:35:07 +0000

meep-lam4 (1.3-2) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev
    Thanks to Bas Couwenberg for the patch (Closes: #807212)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 15:00:00 +0100

meep-lam4 (1.3-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jun 2015 17:00:00 +0200
